Loading...
Searching...
No Matches
channel Struct Reference
Rig (transceiver) API

Channel structure. More...

`#include <rig.h>`

Collaboration diagram for channel:
[legend]

## Data Fields

int | channel_num
int | bank_num
vfo_t | vfo
ant_t | ant
freq_t | freq
rmode_t | mode
pbwidth_t | width
freq_t | tx_freq
rmode_t | tx_mode
pbwidth_t | tx_width
split_t | split
vfo_t | tx_vfo
rptr_shift_t | rptr_shift
shortfreq_t | rptr_offs
shortfreq_t | tuning_step
shortfreq_t | rit
shortfreq_t | xit
setting_t | funcs
value_t | levels [64]
tone_t | ctcss_tone
tone_t | ctcss_sql
tone_t | dcs_code
tone_t | dcs_sql
int | scan_group
unsigned int | flags
char | channel_desc [HAMLIB_MAXCHANDESC]
struct ext_list * | ext_levels
char | tag [32]

## Detailed Description

Channel structure.

The channel struct stores all the attributes peculiar to a VFO.

See also
  rig_set_channel(), rig_get_channel()

## Field Documentation

## ant

ant_t channel::ant

Selected antenna

## bank_num

int channel::bank_num

Bank number

## channel_desc

char channel::channel_desc[HAMLIB_MAXCHANDESC]

Name

## channel_num

int channel::channel_num

Channel number

## ctcss_sql

tone_t channel::ctcss_sql

CTCSS squelch tone

## ctcss_tone

tone_t channel::ctcss_tone

CTCSS tone

## dcs_code

tone_t channel::dcs_code

DCS code

## dcs_sql

tone_t channel::dcs_sql

DCS squelch code

## ext_levels

struct ext_list* channel::ext_levels

Extension level value list, NULL ended. ext_levels can be NULL

## flags

unsigned int channel::flags

Channel flags, see RIG_CHFLAG's

## freq

freq_t channel::freq

Receive frequency

## funcs

setting_t channel::funcs

Function status

## levels

value_t channel::levels[64]

Level values

## mode

rmode_t channel::mode

Receive mode

## rit

shortfreq_t channel::rit

RIT

## rptr_offs

shortfreq_t channel::rptr_offs

Repeater offset

## rptr_shift

rptr_shift_t channel::rptr_shift

Repeater shift

## scan_group

int channel::scan_group

Scan group

## split

split_t channel::split

Split mode

## tag

char channel::tag[32]

TAG ASCII for channel name, etc

## tuning_step

shortfreq_t channel::tuning_step

Tuning step

## tx_freq

freq_t channel::tx_freq

Transmit frequency

## tx_mode

rmode_t channel::tx_mode

Transmit mode

## tx_vfo

vfo_t channel::tx_vfo

Split transmit VFO

## tx_width

pbwidth_t channel::tx_width

Transmit passband width associated with mode

## vfo

vfo_t channel::vfo

VFO

## width

pbwidth_t channel::width

Receive passband width associated with mode

## xit

shortfreq_t channel::xit

XIT

The documentation for this struct was generated from the following file:

- rig.h